Subject: bug#12495: AC_CONFIG_HEADERS with

From: Nick Bowler <[email-masked]>
Date: Thu, 27 Sep 2012 16:13:10 -0400

On 2012-09-27 21:53 +0200, Hib Eris wrote:
> On Thu, Sep 27, 2012 at 4:20 PM, Nick Bowler <[email-masked]> wrote:
> > Fortunately in this case, the rule to update fooconfig.h.in also
> > contains a simple touch command, so it does actually update the
> > target timestamp.  But it would have been better to simply do
> > nothing since the target is not actually out of date.
> 
> I think it would even be better if the target had not existed in the
> first place.

Indeed; that is what I was trying to say (perhaps not very well).  Not
having the rule at all should achieve the result of doing nothing (the
other option being an empty rule, which would be pretty silly.)

Cheers,
-- 
Nick Bowler, Elliptic Technologies (http://www.elliptictech.com/)